Subject: Re: [RFC/PATCH] Teach git mergetool to use custom commands defined at config time

From: Charles Bailey <[email-masked]>
Date: Sun, 17 Feb 2008 23:41:50 +0000

On Sun, Feb 17, 2008 at 04:49:42PM -0500, Theodore Tso wrote:
> I have no objection to a generic mechanism, but I don't see the value
> of Charles suggestion to rip out support for the existing tools
> supported by git-mergetool.

Apologies for the multiple replies, I just remembered that I didn't
comment on this part.

My suggestion was really just me thinking aloud ("one idea I had...").
I was only stating that it would be possible to do this, there's no
value in actually doing this on its own, but the thought exercise
helped me validate my patch (at least to myself). If my patch were
flexible enough to handle all of the current built-in tools in a
generic fashion then it is a good sign that it should be able to cope
with a good portion of (as yet) unknown merge tools which is, after
all, the main point of my patch.

Charles.